"
 COPYRIGHT (c) 2006 by eXept Software AG
	      All Rights Reserved

 This software is furnished under a license and may be used
 only in accordance with the terms of that license and with the
 inclusion of the above copyright notice.   This software may not
 be provided or otherwise made available to, or used by, any
 other person.  No title to or ownership of the software is
 hereby transferred.
"
"{ Package: 'stx:libtool' }"

AbstractSettingsApplication subclass:#AbstractSourceCodeManagementSettingsAppl
	instanceVariableNames:''
	classVariableNames:''
	poolDictionaries:''
	category:'System-SourceCodeManagement'
!

!AbstractSourceCodeManagementSettingsAppl class methodsFor:'documentation'!

copyright
"
 COPYRIGHT (c) 2006 by eXept Software AG
	      All Rights Reserved

 This software is furnished under a license and may be used
 only in accordance with the terms of that license and with the
 inclusion of the above copyright notice.   This software may not
 be provided or otherwise made available to, or used by, any
 other person.  No title to or ownership of the software is
 hereby transferred.
"
!

documentation
"
    Abstract superclass of all source-code managers.

    These should implement an interface similar to what is found in CVSSourceCodeManager,
    providing methods to checkin/out files from a central repository.

    Not all managers will probably provide the same set of functions; 
    time will show, if such an abstraction is possible
    (the way source code management systems organize their code is different, some
    keep individual per-class version numbers (CVS, RCS, Store) others keep an overall
    (configuration-) id (SVN).
"
! !

!AbstractSourceCodeManagementSettingsAppl class methodsFor:'queries'!

managerClass
    "backlink to my manager class (needed by the settings app)"

    self subclassResponsibility

    "Created: / 19-04-2011 / 12:47:28 / cg"
!

managerTypeName
    ^ self managerClass managerTypeName

    "Created: / 19-04-2011 / 12:48:37 / cg"
! !

!AbstractSourceCodeManagementSettingsAppl class methodsFor:'documentation'!

version_CVS
    ^ '$Header: /cvs/stx/stx/libtool/AbstractSourceCodeManagementSettingsAppl.st,v 1.5 2011-07-04 22:14:03 cg Exp $'
!

version_SVN
    ^ 'Id'
! !
